#
# Make_cfg.inc for SuperMuc-NG tested 2019-05 (without LAPACK+BLAS)
# icpc is not faster, but icpc is default loaded
CC=icpc
MPICC=mpicxx -DMPICH_IGNORE_CXX_SEEK -DCONFIG_MPI=1024
MPIEXEC?=mpiexec -np 2
CFLAGS= -Wall -Wno-unused-function -Wno-unknown-pragmas -g
CFLAGS+= -march=native -mtune=native
CFLAGS+= -O2 -ftree-vectorize -funroll-loops
DFLAGS= -D_REENTRANT -DCONFIG_PTHREAD=48
LIB= -lm -g -lpthread 
CFLAGS+= -mcmodel=large
DFLAGS += -DCFG_CPUSET=2 -D_GNU_SOURCE
DFLAGS += -DVS=16
DFLAGS+= -DNUM_AHEAD_LINES=2048
# this is for fat notes
# DFLAGS+= -DXY_TYPE=ULong
## before make do not forget: module load gcc/8
## Jobfile:
## cd $SCRATCH;echo "pwd=$(pwd)"
## export OMP_NUM_THREADS=$SLURM_CPUS_PER_TASK
## mpiexec -n $SLURM_NTASKS taskset 0xffffffffffff ~/spinpack/exe/spin
